#
# spec file for package ghc-GLUT
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name GLUT
Name:           ghc-GLUT
Version:        2.7.0.10
Release:        2.4
Summary:        A binding for the OpenGL Utility Toolkit
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
# Begin cabal-rpm deps:
BuildRequires:  freeglut-devel
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-OpenGL-devel
BuildRequires:  ghc-OpenGLRaw-devel
BuildRequires:  ghc-StateVar-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# End cabal-rpm deps

%description
A Haskell binding for the OpenGL Utility Toolkit, a window system independent
toolkit for writing OpenGL programs. For more information about the C library
on which this binding is based, please see:
<http://www.opengl.org/resources/libraries/glut/>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       freeglut-devel
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%{ghc_lib_build}

%install
%{ghc_lib_install}

%post devel
%{ghc_pkg_recache}

%postun devel
%{ghc_pkg_recache}

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%doc CHANGELOG.md

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md examples

%changelog
* Fri May 13 2016 mimi.vx@gmail.com
- update to 2.7.0.10
* Thu May 12 2016 mimi.vx@gmail.com
- update to 2.7.0.8
  * Relaxed upper version bound for OpenGLRaw.
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 2.7.0.7
  * remove redudant constraints
* Mon Jan 11 2016 mimi.vx@gmail.com
- update to 2.7.0.6
  * Relaxed upper version bound for OpenGLRaw.
* Mon Jan  4 2016 mimi.vx@gmail.com
- update to 2.7.0.5
  * Make things work with both old and new OpenGLRaw/GLURaw packages.
* Thu Dec 24 2015 mimi.vx@gmail.com
- update to 2.7.0.4
  * Relaxed upper version bound for transformers.
* Sat Nov 14 2015 peter.trommler@ohm-hochschule.de
- update to 2.7.0.3
  * version bounds for OpenGL and OpenGLRaw
  * new file CHANGELOG.md
* Tue May  5 2015 mimi.vx@gmail.com
- update to 2.7.0.1
  * no upstream changelog
* Thu Apr 16 2015 mimi.vx@gmail.com
- update to 2.7.0.0
- regenerated spec with cabal-rpm
  * no upstream changelog
* Tue Sep  9 2014 peter.trommler@ohm-hochschule.de
- update to 2.5.1.1
  * no changelog
  * for Haskell Platform 2014.2.0.0
* Fri Aug 22 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- update to 2.4.0.0 from upstream
  * no changelog
  * refactored package needs OpenGLRaw now
- dropped ghc-GLUT-extralibs.patch: fixed upstream
- don't disable build haddock documentation anymore (fixed upstream)
- more transparent packaging (fewer macros)
* Tue Jan  1 2013 peter.trommler@ohm-hochschule.de
- add patch ghc-GLUT-extralibs.patch
  * fixes linking of GLUT library in package description
* Sat Nov 17 2012 peter.trommler@ohm-hochschule.de
- make service localonly for Factory submission
* Fri Sep 28 2012 peter.trommler@ohm-hochschule.de
- Dropped rpmlintrc (fixed by ghc-rpm-macros)
* Tue Jun  5 2012 peter.trommler@ohm-hochschule.de
- disabled haddock (broken for haddock that comes with ghc 7.4.1
- cabal2spec 0.25.5 template spec file for ghc-rpm-macros 0.90
* Sun Jan  1 2012 peter.trommler@ohm-hochschule.de
- Adjusted version for platform 2011.4
* Sat Dec 31 2011 peter.trommler@ohm-hochschule.de
- Initial packaging.
